[Testing Update i686] 2018-10-25 to 11-14 - The Pretty Much Everything™ Update

update
testing
manjaro32

#21

@osukosuk talks about “libreoffice-fresh” not “libreoffice”


#22

Ah, well spotted!

I’ve reverted boost-libs in x32-testing to 1.68. That should fix LibreOffice Still.


#23

boost-libs and boost 1.68 are installed.
Output of starting libreoffice:

[zzzzz]$ libreoffice Warning: failed to read path from javaldx /usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: libboost_locale.so.1.67.0: cannot open shared object file: No such file or directory


#24

Sorry for the confusion about “libreoffice-fresh” and “libreoffice-still” I should have been more precise.
I’m talking about libreoffice-fresh 6.1.1-1.0

I checked at archlinux32: It seems a build of libreoffice-fresh 6.1.2 is ongoing. Maybe this new version fixes the problem.


#25

I am on unstable branch & Libre Office Still with boost-libs 1.68 works fine.

To simulate above error I installed Libre Office Fresh. At the time of install I got this: Warning: boost-libs: local (1.68.0-1.0) is newer than extra (1.67.0-7.0

Right enough Libre Office Fresh failed to load with the error osukosuk mentioned. Downgrading boost-libs to 1.67.0-7.0 also did not help.

I did install local package libreoffice-fresh-en-gb-6.1.2-1.0-any.pkg.tar.xz and tried it with both boost-libs 1.68 & 1.67 but no joy. Problem might be more complicated.


#26

Regarding the message:

A similar message appears and prevents starting the plasma desktop. After tracking it down, it seems to be due the qt plugins provided by these packages specifically: “plasma-framework” and “kwindowsystem” - the plugins provided by them are still linked against Qt 5.11.1 while the rest of KDE plackages are built against 5.11.2


#27

It looks like there’s a bundle of KDE framework stuff in arch32 staging. I don’t really want to rebuild KDE…

More sync:

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              hdparm             9.56-1.1             9.57-1.0
                          mkinitcpio               24-3.0               25-1.0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              apache           2.4.35-1.0           2.4.37-1.0
                arch-install-scripts               19-1.1               20-1.0
                                dkms              2.5-3.1              2.5-4.2
                         ghostscript             9.25-3.0             9.25-4.0
                     gnome-user-docs           3.30.1-1.0           3.30.2-1.0
                              libmtp           1.1.15-1.2           1.1.16-1.0
                          noto-fonts         20180322-1.0         20181024-1.0
                    noto-fonts-extra         20180322-1.0         20181024-1.0
                  perl-business-ismn            1.131-4.3            1.201-1.0
                  perl-business-issn            1.002-4.3            1.003-1.0
                          perl-clone             0.39-5.2             0.41-1.0
                          perl-error          0.17026-2.7          0.17027-1.0
                  perl-file-sharedir            1.102-4.1            1.116-1.0
                   perl-file-slurper            0.010-2.2            0.012-1.0
                         perl-libwww             6.33-2.1             6.36-1.0
                      perl-mail-dkim             0.53-2.0             0.54-1.0
                       perl-text-csv             1.95-4.1             1.97-1.0
              perl-unicode-linebreak         2017.004-2.1         2018.003-1.0
                   python-setuptools         1:40.4.3-1.0         1:40.5.0-1.0
                  python2-setuptools         1:40.4.3-1.0         1:40.5.0-1.0
                        ttf-croscore         20180322-1.0         20181024-1.0
                                 vlc            3.0.4-1.0            3.0.4-6.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             absl-py            0.6.0-1.0            0.6.1-1.0
                         asciidoctor          1.5.7.1-1.0            1.5.8-1.0
                     deepin-anything            0.0.3-1.2            0.0.3-1.3
                 deepin-desktop-base      1:2018.7.23-1.1     1:2018.10.29-1.0
              deepin-desktop-schemas3.2.18.9.20181012-1.0            3.3.0-1.0
                            electrum            3.2.2-2.0            3.2.3-1.0
                              elinks              0.13-19            0.13-20.1
                           filezilla           3.37.4-1.0           3.38.0-1.0
                              gnunet          0.10.1-12.0          0.10.1-13.0
                          gwakeonlan            0.6.2-5.2            0.6.3-1.0
                      haskell-gnuidn           0.2.2-66.0           0.2.2-80.0
       haskell-network-protocol-xmpp           0.4.8-77.0           0.4.8-82.0
                             kakoune       2018.09.04-2.1       2018.10.27-2.0
                               lynis            2.6.9-1.0            2.7.0-1.0
                           mailutils              3.4-3.1              3.5-1.0
                           mitmproxy            3.0.3-1.0            4.0.4-2.0
                      nginx-mainline           1.15.4-1.0           1.15.5-1.0
                         openvswitch           2.10.0-1.0           2.10.1-1.0
                     perl-class-load             0.24-2.2             0.25-1.0
              perl-datetime-timezone             2.19-1.1             2.21-1.0
               perl-email-address-xs             1.01-2.2             1.04-1.0
                     perl-file-slurp          9999.19-4.2          9999.23-1.0
                  perl-html-scrubber             0.15-4.2             0.17-1.0
                      perl-html-tree             5.06-2.2             5.07-1.0
                         perl-io-all             0.86-4.1             0.87-1.0
                       perl-io-pager             0.36-4.0             0.40-1.0
                         perl-io-tee             0.64-8.0             0.65-1.0
                        perl-json-xs             3.03-5.3             3.03-6.0
                        perl-log-any            1.049-4.1            1.707-1.0
                       perl-mail-box            3.003-1.1            3.005-1.0
                   perl-mail-message            3.003-2.1            3.007-1.0
                    perl-math-base85              0.2-9.0              0.4-1.0
                 perl-module-runtime            0.014-4.2            0.016-1.0
                    perl-net-openssh             0.74-4.1             0.78-1.0
                perl-params-classify           0.013-11.1            0.015-1.0
      perl-params-validationcompiler             0.27-2.0             0.30-1.0
                      perl-path-tiny            0.104-2.1            0.108-1.0
                      perl-role-tiny         2.000005-4.2         2.000006-1.0
                      perl-soap-lite             1.27-2.1             1.27-3.0
         perl-statistics-descriptive           3.0612-3.1           3.0702-1.0
                      perl-sub-quote         2.003001-4.1         2.005001-1.0
                      perl-test-trap            0.3.3-2.1            0.3.4-1.0
                      perl-type-tiny         1.002002-2.1         1.004002-1.0
                  perl-universal-isa       1.20150614-2.1       1.20171012-1.0
                   perl-yaml-libyaml             0.69-2.1             0.74-1.0
                    python-ansi2html            1.5.1-1.0            1.5.2-1.0
                     python-dateutil            2.7.3-2.0            2.7.5-1.0
                   python-hypothesis           3.80.0-1.0           3.81.0-1.0
             python-jsonrpclib-pelix            0.3.1-3.0            0.3.2-1.0
                      python-keyring           15.1.0-1.0           16.0.0-1.0
                         python-pafy            0.5.4-2.1            0.5.4-2.2
                   python-pyacoustid            1.1.5-2.0            1.1.5-2.1
                       python-pylast            2.4.0-1.2            2.4.0-1.3
                          python-tox            3.5.2-1.0            3.5.3-1.0
                    python2-dateutil            2.7.3-2.0            2.7.5-1.0
                  python2-hypothesis           3.80.0-1.0           3.81.0-1.0
            python2-jsonrpclib-pelix            0.3.1-3.0            0.3.2-1.0
                     python2-keyring           15.1.0-1.0           16.0.0-1.0
                         python2-tox            3.5.2-1.0            3.5.3-1.0
                       qt5-gsettings            1.2.0-1.0            1.2.0-1.1
                      squashfs-tools              4.3-5.1              4.3-6.0
                               squid              4.3-2.0              4.3-2.1
                               v2ray             3.48-1.0             3.49-1.0
                             you-get         0.4.1148-1.0         0.4.1164-1.0

#28

On Unstable branch cannot install icu 63.1-2.0 due to following error:
could not satisfy dependencies:
installing icu (63.1-2.0) breaks dependency ‘icu<63.0’ required by manjaro-settings-manager


#29

This is the same on x86_64 unstable too. I’ll rebuild the MSM package.

Edit, or not, there may be other issues going on with MSM and Qt5:


#31

Doing this update on xfce & just skipping icu causes major problems like a segmentation fault while pamac is updating…WATCH OUT!!!

…& this is on testing now too!


#32

icu=63 should only be in x32-unstable.

But yes, wait for the dust to settle.


#33

Is it radioactive dust?


#34

Looks like it’s settles over with the 64 bitters! :sun_behind_rain_cloud:


#35

:cricket::cricket::cricket::cricket::cricket::cricket:


#36

Please keep in mind I’m the only one doing this stuff and I have a life (including paid work) too.

I’ll update when there’s something to update about.


#37

…Do we need more than a MSM rebuild then?


#38

There are quite a few updates on the Unstable branch. Installing all except icu resulted in not being able to reach the desktop. By a process of individually installing, rebooting and checking what is causing errors I am able to confirm that all the updates work fine except libxml2. It is libxml2 that results in not being able to reach the desktop. icu cannot be installed at present but that is a bug maintainers are aware of.
New updates install without error but Firefox 63 does not load and displays this error in terminal:
XPCOMGlueLoad error for file /usr/lib/firefox/libxul.so:
libicui18n.so.63: cannot open shared object file: No such file or directory
Couldn’t load XPCOM


#39

OK, so until KDE Framework 5.51 comes out of arch32 staging MSM won’t build. This means MSM, along with pretty much all of KDE, is currently broken.

If you’re using KDE, stay on x32-stable.

Otherwise, remove MSM and you can upgrade the rest of the packages.

OK, here we go with the icu=63 update and rebuilt/updated Firefox, Chromium, and Thunderbird:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux419             4.19.0-2             4.19.0-3
                    linux419-headers             4.19.0-2             4.19.0-3
                      pacman-mirrors             4.12.6-1             4.14.0-3


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                   archlinux-keyring         20181018-1.0         20181031-1.0
                          cryptsetup            2.0.4-1.4            2.0.5-1.1
                                dbus          1.12.10-2.3          1.12.10-2.4
                           dbus-docs          1.12.10-2.3          1.12.10-2.4
                                 icu             62.1-1.1             63.1-2.0
                           libgcrypt            1.8.3-1.3            1.8.4-1.0
                             rpcbind            1.2.5-1.0            1.2.5-2.0
                              tzdata            2018f-2.0            2018g-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            chromium       70.0.3538.67-0       70.0.3538.77-0
                             firefox          62.0.3-0.02             63.0.1-0
                    firefox-i18n-ach             62.0.3-0             63.0.1-0
                     firefox-i18n-af             62.0.3-0             63.0.1-0
                     firefox-i18n-an             62.0.3-0             63.0.1-0
                     firefox-i18n-ar             62.0.3-0             63.0.1-0
                     firefox-i18n-as             62.0.3-0             63.0.1-0
                    firefox-i18n-ast             62.0.3-0             63.0.1-0
                     firefox-i18n-az             62.0.3-0             63.0.1-0
                     firefox-i18n-be             62.0.3-0             63.0.1-0
                     firefox-i18n-bg             62.0.3-0             63.0.1-0
                  firefox-i18n-bn-bd             62.0.3-0             63.0.1-0
                  firefox-i18n-bn-in             62.0.3-0             63.0.1-0
                     firefox-i18n-br             62.0.3-0             63.0.1-0
                     firefox-i18n-bs             62.0.3-0             63.0.1-0
                     firefox-i18n-ca             62.0.3-0             63.0.1-0
                    firefox-i18n-cak             62.0.3-0             63.0.1-0
                     firefox-i18n-cs             62.0.3-0             63.0.1-0
                     firefox-i18n-cy             62.0.3-0             63.0.1-0
                     firefox-i18n-da             62.0.3-0             63.0.1-0
                     firefox-i18n-de             62.0.3-0             63.0.1-0
                    firefox-i18n-dsb             62.0.3-0             63.0.1-0
                     firefox-i18n-el             62.0.3-0             63.0.1-0
                  firefox-i18n-en-gb             62.0.3-0             63.0.1-0
                  firefox-i18n-en-us             62.0.3-0             63.0.1-0
                  firefox-i18n-en-za             62.0.3-0             63.0.1-0
                     firefox-i18n-eo             62.0.3-0             63.0.1-0
                  firefox-i18n-es-ar             62.0.3-0             63.0.1-0
                  firefox-i18n-es-cl             62.0.3-0             63.0.1-0
                  firefox-i18n-es-es             62.0.3-0             63.0.1-0
                  firefox-i18n-es-mx             62.0.3-0             63.0.1-0
                     firefox-i18n-et             62.0.3-0             63.0.1-0
                     firefox-i18n-eu             62.0.3-0             63.0.1-0
                     firefox-i18n-fa             62.0.3-0             63.0.1-0
                     firefox-i18n-ff             62.0.3-0             63.0.1-0
                     firefox-i18n-fi             62.0.3-0             63.0.1-0
                     firefox-i18n-fr             62.0.3-0             63.0.1-0
                  firefox-i18n-fy-nl             62.0.3-0             63.0.1-0
                  firefox-i18n-ga-ie             62.0.3-0             63.0.1-0
                     firefox-i18n-gd             62.0.3-0             63.0.1-0
                     firefox-i18n-gl             62.0.3-0             63.0.1-0
                     firefox-i18n-gn             62.0.3-0             63.0.1-0
                  firefox-i18n-gu-in             62.0.3-0             63.0.1-0
                     firefox-i18n-he             62.0.3-0             63.0.1-0
                  firefox-i18n-hi-in             62.0.3-0             63.0.1-0
                     firefox-i18n-hr             62.0.3-0             63.0.1-0
                    firefox-i18n-hsb             62.0.3-0             63.0.1-0
                     firefox-i18n-hu             62.0.3-0             63.0.1-0
                  firefox-i18n-hy-am             62.0.3-0             63.0.1-0
                     firefox-i18n-id             62.0.3-0             63.0.1-0
                     firefox-i18n-is             62.0.3-0             63.0.1-0
                     firefox-i18n-it             62.0.3-0             63.0.1-0
                     firefox-i18n-ja             62.0.3-0             63.0.1-0
                     firefox-i18n-ka             62.0.3-0             63.0.1-0
                    firefox-i18n-kab             62.0.3-0             63.0.1-0
                     firefox-i18n-kk             62.0.3-0             63.0.1-0
                     firefox-i18n-km             62.0.3-0             63.0.1-0
                     firefox-i18n-kn             62.0.3-0             63.0.1-0
                     firefox-i18n-ko             62.0.3-0             63.0.1-0
                    firefox-i18n-lij             62.0.3-0             63.0.1-0
                     firefox-i18n-lt             62.0.3-0             63.0.1-0
                     firefox-i18n-lv             62.0.3-0             63.0.1-0
                    firefox-i18n-mai             62.0.3-0             63.0.1-0
                     firefox-i18n-mk             62.0.3-0             63.0.1-0
                     firefox-i18n-ml             62.0.3-0             63.0.1-0
                     firefox-i18n-mr             62.0.3-0             63.0.1-0
                     firefox-i18n-ms             62.0.3-0             63.0.1-0
                     firefox-i18n-my             62.0.3-0             63.0.1-0
                  firefox-i18n-nb-no             62.0.3-0             63.0.1-0
                     firefox-i18n-nl             62.0.3-0             63.0.1-0
                  firefox-i18n-nn-no             62.0.3-0             63.0.1-0
                     firefox-i18n-or             62.0.3-0             63.0.1-0
                  firefox-i18n-pa-in             62.0.3-0             63.0.1-0
                     firefox-i18n-pl             62.0.3-0             63.0.1-0
                  firefox-i18n-pt-br             62.0.3-0             63.0.1-0
                  firefox-i18n-pt-pt             62.0.3-0             63.0.1-0
                     firefox-i18n-rm             62.0.3-0             63.0.1-0
                     firefox-i18n-ro             62.0.3-0             63.0.1-0
                     firefox-i18n-ru             62.0.3-0             63.0.1-0
                     firefox-i18n-si             62.0.3-0             63.0.1-0
                     firefox-i18n-sk             62.0.3-0             63.0.1-0
                     firefox-i18n-sl             62.0.3-0             63.0.1-0
                    firefox-i18n-son             62.0.3-0             63.0.1-0
                     firefox-i18n-sq             62.0.3-0             63.0.1-0
                     firefox-i18n-sr             62.0.3-0             63.0.1-0
                  firefox-i18n-sv-se             62.0.3-0             63.0.1-0
                     firefox-i18n-ta             62.0.3-0             63.0.1-0
                     firefox-i18n-te             62.0.3-0             63.0.1-0
                     firefox-i18n-th             62.0.3-0             63.0.1-0
                     firefox-i18n-tr             62.0.3-0             63.0.1-0
                     firefox-i18n-uk             62.0.3-0             63.0.1-0
                     firefox-i18n-ur             62.0.3-0             63.0.1-0
                     firefox-i18n-uz             62.0.3-0             63.0.1-0
                     firefox-i18n-vi             62.0.3-0             63.0.1-0
                     firefox-i18n-xh             62.0.3-0             63.0.1-0
                  firefox-i18n-zh-cn             62.0.3-0             63.0.1-0
                  firefox-i18n-zh-tw             62.0.3-0             63.0.1-0
                   illyria-wallpaper                1.4-1                1.4-3
                   libva-mesa-driver          18.2.2-0.01                    -
                  linux419-acpi_call           1.1.0-0.28           1.1.0-0.29
                   linux419-bbswitch             0.8-0.28             0.8-0.29
                linux419-broadcom-wl    6.30.223.271-0.28    6.30.223.271-0.29
                linux419-ndiswrapper            1.61-0.28            1.61-0.29
               linux419-nvidia-340xx         340.107-0.28         340.107-0.29
               linux419-nvidia-390xx          390.87-0.28          390.87-0.29
                   linux419-nvidiabl            0.88-0.28            0.88-0.29
                      linux419-r8168        8.045.08-0.28        8.045.08-0.29
                        linux419-spl          0.7.11-0.28          0.7.11-0.29
                   linux419-tp_smapi            0.41-0.28            0.41-0.29
                linux419-vhba-module        20161009-0.28        20161009-0.29
   linux419-virtualbox-guest-modules          5.2.20-0.28          5.2.20-0.29
    linux419-virtualbox-host-modules          5.2.20-0.28          5.2.20-0.29
                        linux419-zfs          0.7.11-0.28          0.7.11-0.29
             manjaro-wallpapers-18.0                1.4-1                1.4-3
                          mesa-vdpau          18.2.2-0.01                    -
                         opencl-mesa          18.2.2-0.01                    -
                               pamac              7.1.0-2              7.2.0-1
             pamac-tray-appindicator              7.1.0-2              7.2.0-1
                         thunar-gtk3              1.8.2-3              1.8.2-4
                         thunderbird             60.2.1-0             60.3.0-0
                 thunderbird-i18n-ar             60.2.1-0             60.3.0-0
                thunderbird-i18n-ast             60.2.1-0             60.3.0-0
                 thunderbird-i18n-be             60.2.1-0             60.3.0-0
                 thunderbird-i18n-bg             60.2.1-0             60.3.0-0
                 thunderbird-i18n-br             60.2.1-0             60.3.0-0
                 thunderbird-i18n-ca             60.2.1-0             60.3.0-0
                 thunderbird-i18n-cs             60.2.1-0             60.3.0-0
                 thunderbird-i18n-cy             60.2.1-0             60.3.0-0
                 thunderbird-i18n-da             60.2.1-0             60.3.0-0
                 thunderbird-i18n-de             60.2.1-0             60.3.0-0
                thunderbird-i18n-dsb             60.2.1-0             60.3.0-0
                 thunderbird-i18n-el             60.2.1-0             60.3.0-0
              thunderbird-i18n-en-gb             60.2.1-0             60.3.0-0
              thunderbird-i18n-en-us             60.2.1-0             60.3.0-0
              thunderbird-i18n-es-ar             60.2.1-0             60.3.0-0
              thunderbird-i18n-es-es             60.2.1-0             60.3.0-0
                 thunderbird-i18n-et             60.2.1-0             60.3.0-0
                 thunderbird-i18n-eu             60.2.1-0             60.3.0-0
                 thunderbird-i18n-fi             60.2.1-0             60.3.0-0
                 thunderbird-i18n-fr             60.2.1-0             60.3.0-0
              thunderbird-i18n-fy-nl             60.2.1-0             60.3.0-0
              thunderbird-i18n-ga-ie             60.2.1-0             60.3.0-0
                 thunderbird-i18n-gd             60.2.1-0             60.3.0-0
                 thunderbird-i18n-gl             60.2.1-0             60.3.0-0
                 thunderbird-i18n-he             60.2.1-0             60.3.0-0
                 thunderbird-i18n-hr             60.2.1-0             60.3.0-0
                thunderbird-i18n-hsb             60.2.1-0             60.3.0-0
                 thunderbird-i18n-hu             60.2.1-0             60.3.0-0
              thunderbird-i18n-hy-am             60.2.1-0             60.3.0-0
                 thunderbird-i18n-id             60.2.1-0             60.3.0-0
                 thunderbird-i18n-is             60.2.1-0             60.3.0-0
                 thunderbird-i18n-it             60.2.1-0             60.3.0-0
                 thunderbird-i18n-ja             60.2.1-0             60.3.0-0
                 thunderbird-i18n-ko             60.2.1-0             60.3.0-0
                 thunderbird-i18n-lt             60.2.1-0             60.3.0-0
              thunderbird-i18n-nb-no             60.2.1-0             60.3.0-0
                 thunderbird-i18n-nl             60.2.1-0             60.3.0-0
              thunderbird-i18n-nn-no             60.2.1-0             60.3.0-0
                 thunderbird-i18n-pl             60.2.1-0             60.3.0-0
              thunderbird-i18n-pt-br             60.2.1-0             60.3.0-0
              thunderbird-i18n-pt-pt             60.2.1-0             60.3.0-0
                 thunderbird-i18n-rm             60.2.1-0             60.3.0-0
                 thunderbird-i18n-ro             60.2.1-0             60.3.0-0
                 thunderbird-i18n-ru             60.2.1-0             60.3.0-0
                 thunderbird-i18n-si             60.2.1-0             60.3.0-0
                 thunderbird-i18n-sk             60.2.1-0             60.3.0-0
                 thunderbird-i18n-sl             60.2.1-0             60.3.0-0
                 thunderbird-i18n-sq             60.2.1-0             60.3.0-0
                 thunderbird-i18n-sr             60.2.1-0             60.3.0-0
              thunderbird-i18n-sv-se             60.2.1-0             60.3.0-0
                 thunderbird-i18n-tr             60.2.1-0             60.3.0-0
                 thunderbird-i18n-uk             60.2.1-0             60.3.0-0
                 thunderbird-i18n-vi             60.2.1-0             60.3.0-0
              thunderbird-i18n-zh-cn             60.2.1-0             60.3.0-0
              thunderbird-i18n-zh-tw             60.2.1-0             60.3.0-0
                        vulkan-intel          18.2.2-0.01                    -
                       vulkan-radeon          18.2.2-0.01                    -
                    xfce4-panel-gtk3             4.13.3-4             4.13.3-5
                 xfce4-settings-gtk3             4.13.5-3             4.13.5-4
                         xfconf-gtk3             4.13.5-1             4.13.6-1
                            cbindgen                    -              0.6.7-0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            alsa-lib            1.1.6-1.2            1.1.7-1.0
                          alsa-utils            1.1.6-1.1            1.1.7-1.0
                              brltty              5.6-4.0              5.6-4.1
                              clamav          0.100.1-1.0          0.100.2-2.0
                            composer            1.7.2-1.0            1.7.3-1.0
                         ebook-tools              0.2.2-4            0.2.2-4.1
                                enca             1.19-2.0             1.19-2.1
                            epiphany           3.30.1-1.0           3.30.2-1.0
                           farstream              0.2.8-1            0.2.8-1.1
                         foomatic-db       3:20180905-1.0       3:20181030-1.0
                 foomatic-db-nonfree       3:20180905-1.0       3:20181030-1.0
            foomatic-db-nonfree-ppds       3:20180905-1.0       3:20181030-1.0
                    foomatic-db-ppds       3:20180905-1.0       3:20181030-1.0
                     freecell-solver           4.20.0-2.1            5.0.0-1.0
                        fvwm-crystal            3.4.1-1.1            3.4.1-1.2
                               gconf3.2.6+11+g07808097-3.03.2.6+11+g07808097-4.0
                             getmail              5.6-1.0              5.7-1.0
                    gnome-icon-theme           3.12.0-4.1           3.12.0-4.2
           gnome-icon-theme-symbolic           3.12.0-4.1           3.12.0-4.2
                             gphoto2           2.5.17-1.0           2.5.17-1.1
                           gstreamer           1.14.2-1.0           1.14.4-1.0
                            harfbuzz            1.9.0-1.0            2.1.0-1.0
                        harfbuzz-icu            1.9.0-1.0            2.1.0-1.0
                          latex2html             2017.2-2           2017.2-2.1
                              libabw            0.1.2-1.0            0.1.2-1.1
                            libevdev            1.5.9-1.2            1.6.0-1.0
                           libmspack     1:0.7.1alpha-1.1       1:0.8alpha-1.0
                             libnice0.1.14+70+gfb2f1f7-1.00.1.14+70+gfb2f1f7-1.1
                               libnm1.12.3dev+1+g0a3755c17-1.0           1.14.4-1.0
                          libnm-glib1.12.3dev+1+g0a3755c17-1.0           1.14.4-1.0
                              libssh            0.8.4-1.0            0.8.5-1.0
                         libssh-docs            0.8.4-1.0            0.8.5-1.0
                   libva-mesa-driver           18.2.1-1.0           18.2.3-1.0
                           libvoikko            4.1.1-2.1              4.2-1.0
                            libxcomp        3.5.99.16-1.0        3.5.99.16-2.0
                             libxml2            2.9.8-4.1            2.9.8-6.0
                           mercurial            4.7.1-1.0            4.7.2-1.0
                                mesa           18.2.2-1.1           18.2.3-1.0
                          mesa-vdpau           18.2.1-1.0           18.2.3-1.0
                            muparser            2.2.5-3.1            2.2.6-1.0
                      networkmanager1.12.3dev+1+g0a3755c17-1.0           1.14.4-1.0
                          nx-headers        3.5.99.16-1.0        3.5.99.16-2.0
                              nx-x11        3.5.99.16-1.0        3.5.99.16-2.0
                             nxagent        3.5.99.16-1.0        3.5.99.16-2.0
                             nxproxy        3.5.99.16-1.0        3.5.99.16-2.0
                         opencl-mesa           18.2.1-1.0           18.2.3-1.0
                            perl-dbi            1.641-2.2            1.642-1.0
                                 php           7.2.10-1.0           7.2.11-3.0
                          php-apache           7.2.10-1.0           7.2.11-3.0
                             php-cgi           7.2.10-1.0           7.2.11-3.0
                           php-dblib           7.2.10-1.0           7.2.11-3.0
                           php-embed           7.2.10-1.0           7.2.11-3.0
                         php-enchant           7.2.10-1.0           7.2.11-3.0
                             php-fpm           7.2.10-1.0           7.2.11-3.0
                              php-gd           7.2.10-1.0           7.2.11-3.0
                            php-imap           7.2.10-1.0           7.2.11-3.0
                            php-intl           7.2.10-1.0           7.2.11-3.0
                            php-odbc           7.2.10-1.0           7.2.11-3.0
                           php-pgsql           7.2.10-1.0           7.2.11-3.0
                          php-phpdbg           7.2.10-1.0           7.2.11-3.0
                          php-pspell           7.2.10-1.0           7.2.11-3.0
                            php-snmp           7.2.10-1.0           7.2.11-3.0
                          php-sodium           7.2.10-1.0           7.2.11-3.0
                          php-sqlite           7.2.10-1.0           7.2.11-3.0
                            php-tidy           7.2.10-1.0           7.2.11-3.0
                             php-xsl           7.2.10-1.0           7.2.11-3.0
              postgresql-old-upgrade           9.6.10-1.0           9.6.10-1.1
                        python-numpy           1.15.2-1.0           1.15.3-1.0
                       python2-numpy           1.15.2-1.0           1.15.3-1.0
                              recode              3.7-1.0            3.7.1-1.0
                           vcdimager            2.0.1-1.0            2.0.1-1.1
                        vulkan-intel           18.2.1-1.0           18.2.3-1.0
                       vulkan-radeon           18.2.1-1.0           18.2.3-1.0
                          x2goserver          4.1.0.2-2.0          4.1.0.2-2.1


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro           3.2.18.6-1              3.3.1-1
               gnome-terminal-fedora             3.28.2-1             3.30.1-1
             vte-notification-common             0.52.2-1             0.54.2-1
                   vte3-notification             0.52.2-1             0.54.2-1
                            node-gyp                    -            3.8.0-1.1
                              nodejs                    -             11.0.0-0
                                 npm                    -            6.4.1-1.1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                        android-udev         20181026-1.0         20181031-1.0
                               aria2           1.34.0-1.0           1.34.0-1.1
                            arpwatch          2.1a15-15.0          2.1a15-15.2
                              autofs            5.1.4-3.0            5.1.4-3.1
                             aws-cli          1.16.42-1.2          1.16.44-1.0
                           blueberry            1.2.3-1.0            1.2.3-1.1
                               botan            2.7.0-2.2            2.8.0-1.0
                              brotli            1.0.6-1.0            1.0.7-1.0
                     brotli-testdata            1.0.6-1.0            1.0.7-1.0
                      cinnamon-menus            3.8.2-1.1            4.0.0-1.0
               cldr-emoji-annotation         33.1.0.0-1.0         34.0.0.0-1.0
                             compton              2.0-2.0              3.0-2.0
                          cowfortune            0.1.2-5.1            0.1.2-5.2
              deepin-desktop-schemas            3.3.0-1.0            3.3.1-1.0
                         dns-lexicon            2.7.9-1.0           2.7.12-1.0
                        dnssec-tools             2.2-12.0            2.2.3-1.0
                             dot2tex            2.9.0-2.2            2.9.0-2.3
                           exploitdb         20181023-1.0         20181031-1.0
                              flake8          1:3.5.0-4.0          1:3.6.0-1.2
                         fortune-mod           1.99.5-1.0            2.6.1-1.0
                             gap-4.8           4.8.10-3.0           4.8.10-3.1
                        gap-4.8-data           4.8.10-3.0           4.8.10-3.1
                         gap-4.8-doc           4.8.10-3.0           4.8.10-3.1
                    gap-4.8-packages           4.8.10-3.0           4.8.10-3.1
                           gscan2pdf            2.1.4-1.0            2.1.6-1.0
                       haskell-gauge            0.2.3-6.0            0.2.4-1.0
                             kakoune       2018.10.27-2.0       2018.10.27-3.0
                                 kea         1.4.0.P1-3.0         1.4.0.P1-4.0
                              libgap            4.8.6-7.0            4.8.6-7.1
                       libspatialite          4.3.0.a-3.0          4.3.0.a-4.0
                            lollypop          0.9.601-1.0          0.9.610-1.0
                             mailnag            1.2.1-3.0            1.2.1-3.1
                  mailnag-goa-plugin            1.2.0-2.1            1.2.0-2.2
                              mopidy            2.1.0-5.0            2.2.1-1.0
                             mysql++            3.2.4-1.0            3.2.4-1.1
                            newsboat             2.12-1.0             2.13-1.0
                              nuitka          0.6.0.5-1.0          0.6.0.6-1.0
                              nzbget             20.0-1.0             20.0-1.1
                              obmenu             1.0-11.1             1.0-11.3
                             opendbx            1.4.6-3.1            1.4.6-3.2
                            opendkim           2.10.3-5.0           2.10.3-5.1
                            opensips            2.4.1-1.0            2.4.2-1.0
                           pam_mount             2.16-4.0             2.16-4.1
                  perl-regexp-common       2016010801-5.2       2017060201-1.0
                           php-geoip            1.1.1-3.1            1.1.1-3.2
                        php-memcache            3.0.8-6.0            3.0.8-6.1
                       php-memcached            3.0.4-2.0            3.0.4-2.1
                         php-mongodb            1.5.3-2.0            1.5.3-3.0
                             pychess           0.99.2-2.0           0.99.3-1.0
                 python-aioresponses            0.4.2-1.0            0.5.0-1.0
                    python-aniso8601            3.0.2-2.0            4.0.1-1.0
                     python-autobahn           18.9.2-1.0          18.10.1-1.0
                      python-awkward            0.4.1-1.0            0.4.3-1.0
                        python-boto3           1.9.32-1.0           1.9.34-1.0
                     python-botocore          1.12.32-1.0          1.12.34-1.0
                       python-brotli            1.0.6-1.0            1.0.7-1.0
                       python-cftime            1.0.1-1.1          1.0.2.1-1.0
                        python-cliff           2.13.0-2.0           2.14.0-1.0
                         python-cmd2            0.9.6-1.0            0.9.6-2.0
                      python-cypari2            1.3.1-1.0            2.0.0-1.0
                      python-expects            0.8.0-3.0            0.9.0-1.0
                       python-future           0.16.0-3.0           0.17.1-1.0
                 python-glanceclient           2.12.1-1.0           2.14.0-1.0
                   python-hypothesis           3.81.0-1.0           3.82.1-1.0
                 python-itsdangerous            1.0.0-1.0            1.1.0-1.0
                  python-marshmallow           2.16.1-1.0           2.16.3-1.0
                      python-netcdf4            1.4.1-3.0            1.4.2-1.0
                        python-paste            2.0.3-3.0            3.0.2-1.0
                 python-pycryptodome            3.6.6-2.1            3.7.0-1.0
                     python-pygithub           1.43.2-1.3           1.43.3-1.0
                       python-pytest            3.9.2-1.0            3.9.3-1.0
                 python-pytest-xdist           1.23.2-1.0           1.24.0-1.0
                       python-pytoml           0.1.19-1.0           0.1.20-1.0
                         python-pytz           2018.5-2.0           2018.7-1.0
                        python-pywal            3.1.0-2.0            3.2.1-1.0
                  python-ruamel-yaml          0.15.74-1.0          0.15.75-1.0
                   python-sqlalchemy           1.2.12-1.0           1.2.13-1.0
                    python-stevedore           1.29.0-1.0           1.30.0-1.0
                     python-svgwrite           1.1.12-3.3            1.2.0-1.0
                  python-transaction            2.3.0-1.0            2.4.0-1.0
                python-uncertainties            3.0.2-2.0            3.0.3-1.0
             python-websocket-client           0.53.0-1.0           0.54.0-1.0
                         python-xapp            1.2.0-2.0            1.4.0-1.0
                   python2-aniso8601            3.0.2-2.0            4.0.1-1.0
                    python2-autobahn           18.9.2-1.0          18.10.1-1.0
                       python2-boto3           1.9.32-1.0           1.9.34-1.0
                    python2-botocore          1.12.32-1.0          1.12.34-1.0
                      python2-brotli            1.0.6-1.0            1.0.7-1.0
                      python2-cftime            1.0.1-1.1          1.0.2.1-1.0
                       python2-cliff           2.13.0-2.0           2.14.0-1.0
                     python2-cypari2            1.3.1-1.0            2.0.0-1.0
                     python2-expects            0.8.0-3.0            0.9.0-1.0
                      python2-flake8          1:3.5.0-4.0          1:3.6.0-1.2
                      python2-future           0.16.0-3.0           0.17.1-1.0
                python2-glanceclient           2.12.1-1.0           2.14.0-1.0
                  python2-hypothesis           3.81.0-1.0           3.82.1-1.0
         python2-importlib_resources            1.0.1-1.0            1.0.2-1.0
                python2-itsdangerous            1.0.0-1.0            1.1.0-1.0
                 python2-marshmallow           2.16.1-1.0           2.16.3-1.0
                     python2-netcdf4            1.4.1-3.0            1.4.2-1.0
                       python2-paste            2.0.3-3.0            3.0.2-1.0
                python2-pycryptodome            3.6.6-2.1            3.7.0-1.0
                    python2-pygithub           1.43.2-1.3           1.43.3-1.0
                      python2-pytest            3.9.2-1.0            3.9.3-1.0
                python2-pytest-xdist           1.23.2-1.0           1.24.0-1.0
                      python2-pytoml           0.1.19-1.0           0.1.20-1.0
                        python2-pytz           2018.5-2.0           2018.7-1.0
                  python2-sqlalchemy           1.2.12-1.0           1.2.13-1.0
                   python2-stevedore           1.29.0-1.0           1.30.0-1.0
                 python2-transaction            2.3.0-1.0            2.4.0-1.0
               python2-uncertainties            3.0.2-2.0            3.0.3-1.0
            python2-websocket-client           0.53.0-1.0           0.54.0-1.0
                        python2-xapp            1.2.0-2.0            1.4.0-1.0
                                  qd           2.3.21-1.0           2.3.22-1.0
                           rng-tools              6.5-1.0              6.6-1.0
                       roundcubemail            1.3.7-1.0            1.3.8-1.0
                          ruby-cairo          1.15.14-1.1           1.16.0-1.0
                           ruby-mail            2.7.0-3.0            2.7.1-1.0
                           shorewall            5.2.1-1.0          5.2.1.1-1.0
                      shorewall-core            5.2.1-1.0          5.2.1.1-1.0
                          shorewall6            5.2.1-1.0          5.2.1.1-1.0
                               sigal            1.4.0-4.0            1.4.1-1.0
                           skk-jisyo         20180923-1.0         20181028-1.0
                             snapper            0.5.6-2.0            0.8.0-1.0
                               squid              4.3-2.1              4.4-1.0
                            three.js              r97-1.0              r98-1.0
                             tribler            7.1.1-1.0            7.1.2-1.0
                              trojan            1.8.0-1.0            1.9.0-1.0
                          typescript            3.1.3-1.0            3.1.6-1.0
                               v2ray             3.49-1.0             3.50-1.0
                             variety            0.6.9-1.0            0.7.0-1.0
                        virt-install            1.5.1-1.1            2.0.0-1.0
                        virt-manager            1.5.1-1.1            2.0.0-1.0
                              wpscan          1:2.9.4-2.1          1:3.3.2-1.0
                              xdebug            2.6.0-1.1            2.6.1-1.0
                                yarn           1.10.1-1.0           1.12.1-1.0
                          youtube-dl       2018.10.05-1.0       2018.10.29-1.0
                             acsccid                    -            1.1.6-1.0
                                 fff                    -              0.0-1.0
                              libnfc                    -1.7.1+204+g4ae4cc8-1.0
                                mfoc                    -0.10.7+38+gb333a79-1.0
                nextcloud-app-spreed                    -            4.0.0-2.0
              python-dbus-client-gen                    -              0.7-1.0
                     python-dominate                    -            2.3.4-1.0
              python-flask-appconfig                    -  0.11.1.20151214-1.1
              python-flask-bootstrap                    -          3.3.7.1-1.0
                python-flask-caching                    -            1.4.0-1.0
                  python-flask-dance                    -            1.1.0-1.0
            python-flask-marshmallow                    -            0.9.0-1.0
                    python-flask-nav                    -              0.6-1.0
          python-flask-sphinx-themes                    -            1.0.2-1.0
                python-funcparserlib                    -            0.3.6-1.0
                   python-inflection                    -            0.3.1-1.0
                         python-lazy                    -              1.3-1.0
       python-marshmallow-sqlalchemy                    -           0.14.1-1.0
              python-memory-profiler                    -             0.54-1.0
                         python-rstr                    -            2.2.6-6.0
         python-sqlalchemy-continuum                    -            1.3.6-2.0
              python-sqlalchemy-i18n                    -            1.0.3-1.0
             python-sqlalchemy-utils                    -           0.33.6-1.0
                    python-urlobject                    -            2.4.3-1.0
                      python-visitor                    -            0.1.3-1.0
                         stratis-cli                    -            1.0.0-1.0
                        ttf-ibm-plex                    -            1.2.1-2.0

#40

Is x32-unstable still synced with a combo of arch32-testing and arch32-stable?

Would it be worthwhile syncing purely against arch32-stable, would that increase stability?

Just thinking out loud … :confused:


#41

The upstream for all branches is a merge of arch32 stable and testing, mainly because arch32 testing is rebuilds of Arch stable packages.

The main issue is that the arch32 team is tiny and so has to use an automated build server for everything, but there are way too many packages which have a strict ordering for building (and others which have circular dependencies), hence some will get stuck in staging until someone has the time to go in and give them a solid kick. AFAICT this is made more difficult because it’s all based around the automated build server so manual fixes are trickier (e.g. for my builds I can add a temporary local repository and pick up transitional build dependencies from there, but that’s not possible with the build server they’re using).